Summary:	XBSQL - an SQL wrapper for the XBase library
Summary(pl.UTF-8):	XBSQL - wrapper SQL dla biblioteki XBase
Name:		xbsql
Version:	0.11
Release:	7
License:	LGPL
Group:		Libraries
# from URL - dead ftp://195.92.31.34/pub/xbsql-0.6/xbsql-0.6.tgz
Source0:	http://www.rekallrevealed.org/packages/%{name}-%{version}.tgz
# Source0-md5:	7f8c8584cf0f592660fb2653a4bfc415
Patch0:		%{name}-acfix.patch
URL:		http://www.quaking.demon.co.uk/xbsql/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	xbase-devel >= 1.8.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XBSQL is a wrapper library which provides an SQL-subset interface to
XBase DBMS.

%description -l pl.UTF-8
XBSQL to biblioteka obudowująca dostarczająca interfejs będący
podzbiorem SQL do systemu baz danych XBase.

%package devel
Summary:	Header files for XBSQL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XBSQL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xbase-devel

%description devel
Header files for XBSQL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XBSQL.

%package static
Summary:	Static XBSQL library
Summary(pl.UTF-8):	Statyczna biblioteka XBSQL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XBSQL library.

%description static -l pl.UTF-8
Statyczna biblioteka XBSQL.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS Announce ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xql
%attr(755,root,root) %{_libdir}/libxbsql.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxbsql.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libxbsql.so
%{_libdir}/libxbsql.la
%{_includedir}/xbsql.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libxbsql.a
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xbsql.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 47b5b83
- release 7 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 1da8731
- rebuild with readline 7.0
- release 6 (by relup.sh)

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b9228ed
- ghost soname symlink
- rel 5

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 93fc4dd
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 356af77
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc7634e
- converted to UTF-8

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> be7fdf0
- rebuild with readline 5.0

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 8536d13
- BR: bison

* Mon Feb 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 2f9a73e
- added acfix patch (lib64 support), rebuild ac/am; release 2

* Mon Feb 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 6229140
- lib64-aware ncurses detection

* Mon Feb 14 2005 Jakub Bogusz <qboosh@pld-linux.org> f1a0e65
- new

